Home | All Classes | Main Classes | Annotated | Grouped Classes | Functions |

# TQStyleFactory Class Reference

The TQStyleFactory class creates TQStyle objects. More...

`#include <ntqstylefactory.h>`

List of all member functions.

## Static Public Members

- TQStringList keys ()
- TQStyle * create ( const TQString & key )

## Detailed Description

The TQStyleFactory class creates TQStyle objects.

The style factory creates a TQStyle object for a given key with TQStyleFactory::create(key).

The styles are either built-in or dynamically loaded from a style plugin (see TQStylePlugin).

TQStyleFactory::keys() returns a list of valid keys, typically including "Windows", "Motif", "CDE", "MotifPlus", "Platinum", "SGI" and "Compact". Depending on the platform, "WindowsXP", "Aqua" or "Macintosh" may be available.

## Member Function Documentation

### TQStyle * TQStyleFactory::create ( const TQString & key )`[static]`

Creates a TQStyle object that matches key case-insensitively. This is either a built-in style, or a style from a style plugin.

See also keys().

Example: themes/wood.cpp.

### TQStringList TQStyleFactory::keys ()`[static]`

Returns the list of keys this factory can create styles for.

See also create().

Example: themes/themes.cpp.

This file is part of the TQt toolkit. Copyright © 1995-2007 Trolltech. All Rights Reserved.